/**
 * 登录相关路由
 *
 * @author CaiAoLin
 * @date 2017/6/1
 * @version
 */
import Express from "express";
import LoginController from "../controllers/login_controller";

const router = Express.Router();
const loginController = new LoginController();

module.exports =function (app) {

    // action定义区域
    router.get('/', loginController.index);
    router.post('/login', loginController.login);
    router.get('/logout', loginController.logout);
    router.get('/test', loginController.test);

    app.use("/login", router);
    app.use("/", router);
};